import java.util.HashMap;

//Object representing a node of the graph
//@id: label of the node
//@adiacs: set of adjacent nodes in the graph
public class Node
{
	private String id;
	private HashMap<String,Double> adiacs;
	public Node(String id)
	{
		this.id=id;
		adiacs=new HashMap<String,Double>();
	}
	public String getId()
	{
		return id;
	}
	public HashMap<String,Double> getAdiacs()
	{
		return adiacs;
	}
	//Returns the degree of the node
	public int degree()
	{
		return adiacs.size();
	}
	public String toString()
	{
		return id;
	}
}